net.minecraft.client.gui

## Class GuiButton

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiButton

- Direct Known Subclasses:
    GuiButtonExt, GuiButtonLanguage, GuiButtonLink, GuiCheckBox, GuiOptionButton, GuiOptionSlider

      public class GuiButton
      extends Gui

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ResourceLocation` | `buttonTextures`
    `java.lang.String` | `displayString`
    `boolean` | `enabled`
    `protected boolean` | `field_146123_n`
    `int` | `height`
    `int` | `id`
    `int` | `packedFGColour`
    `boolean` | `visible`
    `int` | `width`
    `int` | `xPosition`
    `int` | `yPosition`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiButton(int par1, int par2, int par3, int par4, int par5, java.lang.String par6Str)`
    `GuiButton(int par1, int par2, int par3, java.lang.String par4Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawButton(Minecraft p_146112_1_, int p_146112_2_, int p_146112_3_)`
    `void` | `func_146111_b(int p_146111_1_, int p_146111_2_)`
    `void` | `func_146113_a(SoundHandler p_146113_1_)`
    `boolean` | `func_146115_a()`
    `int` | `getButtonWidth()`
    `protected int` | `getHoverState(boolean p_146114_1_)`
    `protected void` | `mouseDragged(Minecraft p_146119_1_, int p_146119_2_, int p_146119_3_)`
    `boolean` | `mousePressed(Minecraft p_146116_1_, int p_146116_2_, int p_146116_3_)`
    `void` | `mouseReleased(int p_146118_1_, int p_146118_2_)`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buttonTextures

          protected static final ResourceLocation buttonTextures

    - #### width

          public int width

    - #### height

          public int height

    - #### xPosition

          public int xPosition

    - #### yPosition

          public int yPosition

    - #### displayString

          public java.lang.String displayString

    - #### id

          public int id

    - #### enabled

          public boolean enabled

    - #### visible

          public boolean visible

    - #### field_146123_n

          protected boolean field_146123_n

    - #### packedFGColour

          public int packedFGColour

  - ### Constructor Detail

    - #### GuiButton

          public GuiButton(int par1,
                   int par2,
                   int par3,
                   java.lang.String par4Str)

    - #### GuiButton

          public GuiButton(int par1,
                   int par2,
                   int par3,
                   int par4,
                   int par5,
                   java.lang.String par6Str)

  - ### Method Detail

    - #### getHoverState

          protected int getHoverState(boolean p_146114_1_)

    - #### drawButton

          public void drawButton(Minecraft p_146112_1_,
                        int p_146112_2_,
                        int p_146112_3_)

    - #### mouseDragged

          protected void mouseDragged(Minecraft p_146119_1_,
                          int p_146119_2_,
                          int p_146119_3_)

    - #### mouseReleased

          public void mouseReleased(int p_146118_1_,
                           int p_146118_2_)

    - #### mousePressed

          public boolean mousePressed(Minecraft p_146116_1_,
                             int p_146116_2_,
                             int p_146116_3_)

    - #### func_146115_a

          public boolean func_146115_a()

    - #### func_146111_b

          public void func_146111_b(int p_146111_1_,
                           int p_146111_2_)

    - #### func_146113_a

          public void func_146113_a(SoundHandler p_146113_1_)

    - #### getButtonWidth

          public int getButtonWidth()